package com.ruoyi.syzy.service;

import java.util.List;
import com.ruoyi.syzy.domain.BWwwNewsVideo;
import org.apache.ibatis.annotations.Param;

/**
 * 资讯视频Service接口
 * 
 * @author mingxue
 * @date 2022-07-17
 */
public interface IBWwwNewsVideoService 
{
    /**
     * 查询资讯视频
     * 
     * @param id 资讯视频ID
     * @return 资讯视频
     */
    public BWwwNewsVideo selectBWwwNewsVideoById(Long id);
    public BWwwNewsVideo selectBWwwNewsVideoByAliId(String aliId);
    public List<String> selectBWwwNewsVideoTypes();

    public List<String> selectBWwwNewsVideoSubTypes(String type);

    /**
     * 查询资讯视频列表
     * 
     * @param bWwwNewsVideo 资讯视频
     * @return 资讯视频集合
     */
    public List<BWwwNewsVideo> selectBWwwNewsVideoList(BWwwNewsVideo bWwwNewsVideo);

    /**
     * 新增资讯视频
     * 
     * @param bWwwNewsVideo 资讯视频
     * @return 结果
     */
    public int insertBWwwNewsVideo(BWwwNewsVideo bWwwNewsVideo);

    /**
     * 修改资讯视频
     * 
     * @param bWwwNewsVideo 资讯视频
     * @return 结果
     */
    public int updateBWwwNewsVideo(BWwwNewsVideo bWwwNewsVideo);

    /**
     * 批量删除资讯视频
     * 
     * @param ids 需要删除的资讯视频ID
     * @return 结果
     */
    public int deleteBWwwNewsVideoByIds(Long[] ids);

    /**
     * 删除资讯视频信息
     * 
     * @param id 资讯视频ID
     * @return 结果
     */
    public int deleteBWwwNewsVideoById(Long id);

    public String importData(List<BWwwNewsVideo> videoList, Boolean isUpdateSupport, String operName);
}
